using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace MvcResourceLang.Models {
	public class Account {
		[Required]
		[LocalDisplayName("user name", ResourceName = "UserDisplay")]
		public string UserName { get; set; }

		[Required]
		[LocalDisplayName("password", ResourceName = "PwdDisplay")]
		public string Pwd { get; set; }

		[Required]
		[Compare("Pwd",ErrorMessageResourceName="ConfirmPwdErrorDisplay")]
		[LocalDisplayName("confirm password", ResourceName = "ConfirmPwdDisplay")]
		public string ConfirmPwd { get; set; }
		
		[Required]
		[LocalDisplayName("remember", ResourceName = "RemDisplay")]
		public bool Rememberme { get; set; }

	}
}